Page MenuHomePhabricator

efl.ui.property_bind
Closed, ResolvedPublic

Description

interface Efl.Ui.Property_Bind
├ (M) property_bind
├ (E) properties,changed
├ (E) property,bound
zmike created this task.Jan 8 2019, 11:42 AM
zmike triaged this task as TODO priority.
zmike moved this task from Backlog to Evaluating on the efl: api board.Jan 31 2019, 5:16 AM

If @cedric @felipealmeida , and @SanghyeonLee don't have any objection on this definition, I think there would be no problem.

Where did this class go ? Can we close it as invalid ?

This class is renamed as
Efl.Ui.Property_Bind
also it related with
Efl.Ui.Factory_Bind
I think this class is ready, but just need to be confirmed @cedric and @felipealmeida as it is good enough to using item_factory in mono binding.

What's going on here?

Let me finish my work on Efl.Ui.Collection_View and I will provide patches for stabilizing Efl.Ui.Property_Bind and Efl.Ui.Factory_Bind. They are in good shape as @SanghyeonLee is pointing out.

cedric renamed this task from efl.ui.model.connect to efl.ui.property_bind.Sep 24 2019, 3:41 PM
cedric updated the task description. (Show Details)

As stated before, this interface is pretty stable in its use. I would like to take it out of @beta if everyone is ok with it.

lauromoura closed this task as Resolved.Sep 25 2019, 1:23 PM
lauromoura claimed this task.